
Core - Bug # 67531

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL
Created: 2015-06-16 Assigned To: Morton Jonuschat
Updated: 2015-07-09 Due date:
TYPO3 Version: 7
PHP Version: 5.6
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: SqlParser does not quote identifiers in CREATETABLE
Description

When creating an index through a CREATE TABLE statement the generated SQL does not properly quote index, table and field
names. This leads to „wrong“ SQL statements like

CREATE UNIQUE INDEX versionextrepo ON tx_extensionmanager_domain_model_extension (extension_key, version,
repository)

where none of the identifiers has been quoted.

Associated revisions
Revision 88f2cf21 - 2015-07-09 22:31 - Morton Jonuschat

[TASK] dbal: Add support for ALTER TABLE ADD/DROP KEY

Add support for creating and removing indices to DBAL. The SQL is
generated using the respective ADOdb methods, so adding/removing
PRIMARY keys is not possible.

MySQL prefix lengths will be removed from columns in an index
definition unless the DBMS specifically enables support for this
feature. To ensure that index columns get properly quoted by
ADOdb the field names need to be wrapped in backticks.

Due to the common requirement that index names must be unique within a
database/schema the requested index name will be prepended with a
unique table name identifier.

Resolves: #67445
Resolves: #67531
Releases: master
Change-Id: I274be8df3078867309dde0d5771853c67903719d
Reviewed-on: http://review.typo3.org/40397
Reviewed-by: Stephan Großberndt <stephan@grossberndt.de>
Tested-by: Stephan Großberndt <stephan@grossberndt.de>
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
History
#1 - 2015-06-17 11:56 - Morton Jonuschat
- Status changed from New to In Progress

#2 - 2015-06-17 22:24 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#3 - 2015-06-18 09:32 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#4 - 2015-06-18 22:05 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#5 - 2015-06-18 23:20 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#6 - 2015-07-09 21:34 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#7 - 2015-07-09 21:44 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#8 - 2015-07-09 22:02 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#9 - 2015-07-09 22:16 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

2015-08-04 2/3

http://review.typo3.org/40397
http://review.typo3.org/40397
http://review.typo3.org/40397
http://review.typo3.org/40397
http://review.typo3.org/40397
http://review.typo3.org/40397
http://review.typo3.org/40397
http://review.typo3.org/40397


#10 - 2015-07-09 22:29 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40397

#11 - 2015-07-09 22:34 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:88f2cf211d032ac5e1d69dcef5ccfb8d4856d300.
